Redmine - Defect #

29753

View estimated hours doen't work for root issue
2018-10-10 09:01 - Pavel Potcheptsov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.4.3
Description

If issue has a subtasks then root issue shows Estimated time (total) for role that has restriction to view estimated time.

History

#1-2018-10-10 09:15 - Go

MAEDA

| think Redmine does not have a permission named "View estimated hours/time". The following command returns no result.

grep 'permission_.*estimated'

Could you write more details?

#2 - 2018-10-10 09:22 - Pavel Potcheptsov

- File redmine_viewestim.pn,

Grep returns nothing.

g added

But | see this permission in settings.

Issue tracking

B View Issues
Copy issues
Set issues public or
Edit notes

config/locales/en.yml

Add issues Edit issues
Manage issue relations Manage subtasks
private Set own issues public or private Add notes

Set notes as private

Add watchers

Manage issue categories

Done checklist item

Environment:
Redmine version

5

Edit own notes
Delete issues
Delete watchers

View estimated hours
Edit checklist items

3.4.3.stable.17016

View private notes
View watchers list
Import issues
View checklist

Ruby version
Rails version
Environment
Database adapter

SCM:

Subversion
Git

2.3.5-p376 (2017-09-14) [i686-1linux]
4.2.8

production

Mysql2

1.8.8
7.1

Filesystem

Redmine plugins:
advanced_roadmap_v2
redmine_agile
redmine_checklists
redmine_lightbox2
redmine_scm_path_view
redmine_timesheet_plugin
redmine_xls_export

#3 - 2018-10-10 11:22 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid
| think the "View estimated hours" permission has been added by advanced_roadmap_v2 plugin. Please contact the author of the plugin.

This is an evidence that the plugin adds the permission.
https://github.com/Coren/redmine_advanced_roadmap_v2/blob/18b8c5ca8eb90f5ffef9a1874794818b5d6c870a/config/locales/en.yml#l 22
